summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorRichard Neumann2018-09-13 21:36:40 +0200
committerRichard Neumann2018-09-13 21:36:40 +0200
commita1f17fef35400cf4c29425452ccb68591b79898d (patch)
tree1e3ff4a625e5691d265d84b1d3031f483e9469e6
downloadaur-a1f17fef35400cf4c29425452ccb68591b79898d.tar.gz
init.
-rw-r--r--.SRCINFO17
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD28
3 files changed, 49 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..419dc0edc6c
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = python-mcipc-git
+ pkgdesc = Python 3 library and scripts for the RCON and Query protocol
+ pkgver = r78.42fc903
+ pkgrel = 1
+ url = https://gitlab.com/coNQP/mcipc
+ arch = any
+ license = GPLv3
+ makedepends = git
+ makedepends = python
+ depends = python
+ depends = python-docopt
+ depends = python-pyzmq
+ source = mcipc-git::git+https://gitlab.com/coNQP/mcipc.git
+ md5sums = SKIP
+
+pkgname = python-mcipc-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..bb1ad4cc127
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+src
+pkg
+*.tar.xz*
+mcipc-git
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..5c76db1b117
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Richard Neumann aka. schard <mail at richard dash neumann period de>
+
+_pkgbase='mcipc-git'
+pkgname="python-${_pkgbase}"
+pkgver=r78.42fc903
+pkgrel=1
+pkgdesc='Python 3 library and scripts for the RCON and Query protocol'
+arch=('any')
+url='https://gitlab.com/coNQP/mcipc'
+license=('GPLv3')
+depends=('python' 'python-docopt' 'python-pyzmq')
+makedepends=('git' 'python')
+source=("${_pkgbase}::git+${url}.git")
+md5sums=('SKIP')
+pkgdir='pkg'
+srcdir='src'
+
+
+pkgver() {
+ cd "${_pkgbase}" || exit 1
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+
+package() {
+ cd "${srcdir}/${_pkgbase}"
+ python setup.py install --root "${pkgdir}" --optimize=1
+}